Page MenuHomePhabricator

Normalize PageAssessments DB schema
Closed, ResolvedPublic2 Story Points

Description

Now that we are doing all the DB interactions via the Job Queue, there's really no reason to super-optimize the queries. We should remove the denormalization of the page information in the schema and just use the page_id. This may also require modifying some of the queries.

Event Timeline

kaldari created this task.Jan 26 2016, 6:17 PM
kaldari updated the task description. (Show Details)
kaldari raised the priority of this task from to Needs Triage.
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 26 2016, 6:17 PM
Johan added a subscriber: Johan.Jan 26 2016, 6:17 PM
kaldari triaged this task as Normal priority.
kaldari set Security to None.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: Niharika.

Would also be good to have @jcrespo and @aaron review the schema.

kaldari updated the task description. (Show Details)Jan 26 2016, 6:21 PM

Aaron says that joining with the page table isn't very expensive and it will probably be better to just use the page_id.

He also proposed a couple of other schema changes:
https://gerrit.wikimedia.org/r/#/c/266584/
https://gerrit.wikimedia.org/r/#/c/266583/

aaron added a comment.Jan 26 2016, 9:37 PM

Aaron says that joining with the page table isn't very expensive and it will probably be better to just use the page_id.

He also proposed a couple of other schema changes:
https://gerrit.wikimedia.org/r/#/c/266584/
https://gerrit.wikimedia.org/r/#/c/266583/

Just make sure you are not trying to sort on namespace/title or something :)

Niharika edited a custom field.EditedJan 28 2016, 3:09 PM
Niharika added a subscriber: Fhocutt.

@Fhocutt, this task might affect some of the API queries too. Just a heads up.

Niharika claimed this task.Jan 28 2016, 3:27 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 267638 had a related patch set uploaded (by Niharika29):
Normalize database for PageAssessments

https://gerrit.wikimedia.org/r/267638

Change 267638 merged by jenkins-bot:
Normalize database for PageAssessments

https://gerrit.wikimedia.org/r/267638

kaldari closed this task as Resolved.Feb 2 2016, 10:57 PM
kaldari moved this task from Needs Review/Feedback to Q3 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Ready for development to Archive on the Community-Tech board.